Page MenuHomePhabricator

AMDGPU/SI: Extend promoting alloca to vector to arrays of up to 16 elements
ClosedPublic

Authored by cfang on May 25 2017, 11:48 AM.

Details

Summary

This patch extends the promotion of alloca to vector to the arrays of up to 16 elements. Also we introduce
an option, -disable-promote-alloca-to-vector, to switch promotion to vector off, if needed.

Diff Detail

Repository
rL LLVM

Event Timeline

cfang created this revision.May 25 2017, 11:48 AM
arsenm added inline comments.Jun 8 2017, 5:21 PM
lib/Target/AMDGPU/SIISelLowering.cpp
1895 ↗(On Diff #100277)

This is a separate change

1932 ↗(On Diff #100277)

Belongs with same separate change

cfang updated this revision to Diff 102245.Jun 12 2017, 2:15 PM

Exclude the change in emitIndirectSrc!

However, that change is necessary for the current patch to pass!

cfang added a comment.Jul 27 2017, 2:26 PM

Ping! Need suggestion on what to do next. Thanks.

arsenm accepted this revision.Jul 31 2017, 8:12 AM

LGTM

This revision is now accepted and ready to land.Jul 31 2017, 8:12 AM
cfang updated this revision to Diff 134656.Feb 16 2018, 11:03 AM

Update LIT tests before landing since the patch was developed a long time back.

This revision was automatically updated to reflect the committed changes.